Microsoft.Build.Framework 2.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

The descriptions of verbosity levels are only guidelines to how a typical logger (including the default vstecmsbuild console logger) logs build events. Loggers are free to interpret verbosity levels in any way they want.

Specifies the available verbosity levels of a .

- Field
  Microsoft.Build.Framework.LoggerVerbosity

  Detailed verbosity, which displays errors, warnings, messages with values of or , all status events, and a build summary.

  2.0.0.0
- Field
  Microsoft.Build.Framework.LoggerVerbosity

  Diagnostic verbosity, which displays all errors, warnings, messages, status events, and a build summary.

  2.0.0.0
- Field
  Microsoft.Build.Framework.LoggerVerbosity

  Minimal verbosity, which displays errors, warnings, messages with values of , and a build summary.

  2.0.0.0
- Field
  Microsoft.Build.Framework.LoggerVerbosity

  Normal verbosity, which displays errors, warnings, messages with values of , some status events, and a build summary.

  2.0.0.0
- Field
  Microsoft.Build.Framework.LoggerVerbosity

  Quiet verbosity, which displays a build summary.

  2.0.0.0